
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "pps_commons/version"

Gem::Specification.new do |spec|
  spec.name          = "pps_commons"
  spec.version       = PPSCommons::VERSION
  spec.authors       = ["Adam Phillipps"]
  spec.email         = ["adam.phillipps@wgu.edu"]

  spec.summary       = %q{Some common functionality for the PPS project}
  spec.description   = %q{Some common functionality for the PPS project}
  spec.homepage      = "https://git.wgu.edu/projects/OPS/repos/pps_commons"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # Our Nexus server is on a version that is too old, apparently...So this is
  # going to be public until I get time to create a gem server in AWS.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'aws-sdk-s3', '~> 1'
  spec.add_dependency 'chef-api', '~> 0.1'
  spec.add_dependency 'rest-client', '~> 2.0'

  spec.add_development_dependency 'byebug'
  spec.add_development_dependency "bundler", "~> 1.16.a"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.2"
end
